Skip to content

Danh sách phát trực tiếp liên quan đến cửa hàng

Giới thiệu

Lấy dữ liệu danh sách phát trực tiếp liên quan đến một cửa hàng xác định.

Endpoint

bash
    POST /shop/v1/liveList

Phần thân yêu cầu

TrườngKiểuBắt buộcMô tả
filterobjectKhôngTham số lọc
orderbyarrayKhôngTham số sắp xếp
pageintegerKhôngMặc định: 1
pagesizeintegerKhôngMặc định: 10

Giá trị tùy chọn của filter

TrườngKiểuBắt buộcMô tả
seller_idstringKhôngID cửa hàng
creator_uidstringKhôngUID nhà sáng tạo liên kết với cửa hàng
creator_unique_idstringKhôngID nhà sáng tạo duy nhất liên kết với cửa hàng: @xxxxxxx
seller_namestringKhôngTên cửa hàng
regionstringKhôngQuốc gia/Khu vực của cửa hàng

seller_nameregion phải được truyền cùng lúc

Giá trị tùy chọn của orderby

TrườngBắt buộcMô tả
start_timeKhôngThời gian bắt đầu
product_countKhôngSố sản phẩm trong phòng phát trực tiếp
total_user_countKhôngTổng số người xem
units_soldKhôngSản lượng bán
gmvKhôngSố tiền bán (GMV)

Ví dụ yêu cầu

bash
curl 'https://openapi.fastmoss.com/shop/v1/liveList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "seller_id": "7495500842223700917",
        # "creator_uid": "6913013214088004614",
        # "creator_unique_id": "caffeinecandleschaos",

        # "seller_name": "Caffeine, Candles & Chaos",
        # "region": "US",
    },
    "orderby": [{
        "field": "start_time",
        "order": "desc"
    }],
    # "orderby": [{
    #     "field": "product_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "total_user_count",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "units_sold",
    #     "order": "desc"
    # }],
    # "orderby": [{
    #     "field": "gmv",
    #     "order": "desc"
    # }],
    "page": 1,
    "pagesize": 10
}'

Phần thân phản hồi

data.list

TrườngKiểuMô tả
titlestringTiêu đề phòng phát trực tiếp
room_idstringID phòng phát trực tiếp
seller_idstringID cửa hàng
uidstringUID nhà sáng tạo liên kết với cửa hàng
coverstringURL ảnh bìa
main_category_namestringTên danh mục chính được quảng bá
main_category_idintID danh mục chính được quảng bá
start_timeintThời gian bắt đầu
units_soldintSản lượng bán
gmvfloatSố tiền bán (GMV)
product_countintSố sản phẩm trong phòng phát trực tiếp
total_userintTổng số người xem
durationintThời lượng phát trực tiếp (giây)
max_user_countintSố người xem đồng thời tối đa
inc_follower_countintTăng trưởng người theo dõi
share_countintSố lượt chia sẻ
is_liveintCó đang phát trực tiếp không
live_typeintLoại phát trực tiếp 1: Trực tiếp cửa hàng 2: Trực tiếp cá nhân
creatorobjectThông tin nhà sáng tạo liên kết

data.list.creator

TrườngKiểuMô tả
uidstringID người dùng
nicknamestringBiệt danh người dùng
unique_idstringID duy nhất người dùng
avatarstringURL ảnh đại diện người dùng
regionstringQuốc gia/Khu vực người dùng
follower_countintSố người theo dõi của người dùng
category_idintID danh mục người dùng
category_namestringTên danh mục người dùng

data.total

TrườngKiểuMô tả
totalstringTổng số bản ghi

Ví dụ phản hồi

json
{
  "code": 0,
  "data": {
    "total": 11943,
    "list": [
      {
        "title": "Food and snacks",
        "room_id": "7539139975317703438",
        "cover": "https://s.500fd.com/tt_live/7411364270883588910~tplv-obj.image",
        "main_category_id": 24,
        "main_category_name": "Food & Beverages",
        "creator": {
          "uid": "73083231876554752",
          "avatar": "https://s.500fd.com/tt_author/5aa17bc74b4fd2b91ae364d2a2c6e4d6~tplv-tiktokx-cropcenter:1080:1080.jpeg",
          "region": "US",
          "nickname": "Courtney Luper 🗝️✨",
          "unique_id": "courtneyluper",
          "follower_count": 17183,
          "category_id": 5,
          "category_name": "Food & Beverage"
        },
        "start_time": 1755343248,
        "units_sold": 1939,
        "gmv": 4253.69,
        "product_count": 99,
        "total_user": 84333,
        "duration": 37159,
        "max_user_count": 430,
        "inc_follower_count": 243,
        "share_count": 188,
        "is_live": 0,
        "live_type": 2
      }
    ]
  },
  "message": "success",
  "timestamp": 1773751121,
  "request_id": "76d984e2-e0f8-d04c-dc2d-c1fc9a18ffda"
}